Bug 1353793 - [Docs][RFE][Director] OSP Director UI documentation
Summary: [Docs][RFE][Director] OSP Director UI documentation
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: documentation
Version: 10.0 (Newton)
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: ---
: 10.0 (Newton)
Assignee: Dan Macpherson
QA Contact: Martin Lopes
URL:
Whiteboard:
Depends On: 1353795 1353796 1353797 1353799 1353994 1353996 1354000 1354003 1354006 1354007 1354008 1354011 1354015 1354021 1357551 1393467
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-08 03:10 UTC by Loic Avenel
Modified: 2017-01-17 16:22 UTC (History)
15 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-17 16:22:26 UTC


Attachments (Terms of Use)

Description Loic Avenel 2016-07-08 03:10:43 UTC
Install & Usage of OpenStack Director UI included in Core OSP-d Documentation

Comment 2 Derek 2016-10-13 16:55:38 UTC
Documentation activity keys off of RFE and bug BZs...  doc program managers create their own doc BZs to track individual doc activities.  So this BZ is actually redundant and can be closed.

Comment 3 Lucy Bopf 2016-10-25 06:35:43 UTC
In this instance, I'm going to use this bug to track the director UI work, rather than creating a new tracker.

Assigning to Dan. Dan, can you add in your current estimates, worked hours, and any other details about progress here?

Comment 4 Dan Macpherson 2016-10-25 06:45:15 UTC
Current UI documentation is a part of the OSP10 Beta:

https://access.redhat.com/documentation/en/red-hat-openstack-platform/10-beta/paged/director-installation-and-usage/chapter-6-configuring-basic-overcloud-requirements-with-the-web-ui

Note that for GA, there's a requirement that the UI will require SSL enabled on the Undercloud. This enables a custom IP for the public endpoints, which you set in the undercloud.conf file using the undercloud_public_vip param.

Comment 5 Dan Macpherson 2016-10-25 06:54:21 UTC
Also, still to implement:

* Some validation documentation
* Documentation on multiple plans/overclouds

Comment 6 Ola Pavlenko 2016-11-06 22:04:30 UTC
(In reply to Dan Macpherson from comment #4)
> Current UI documentation is a part of the OSP10 Beta:
> 
> https://access.redhat.com/documentation/en/red-hat-openstack-platform/10-
> beta/paged/director-installation-and-usage/chapter-6-configuring-basic-
> overcloud-requirements-with-the-web-ui
> 
> Note that for GA, there's a requirement that the UI will require SSL enabled
> on the Undercloud. This enables a custom IP for the public endpoints, which
> you set in the undercloud.conf file using the undercloud_public_vip param.

Hi Dan,

I couldn't find any UI related chapter in OSP10 Beta. 
the link:
https://access.redhat.com/documentation/en/red-hat-openstack-platform/10-beta/paged/director-installation-and-usage/chapter-6-configuring-basic-overcloud-requirements-with-the-web-ui
just shows DIRECTOR INSTALLATION AND USAGE (the pre-introduction label)

Is there a different link? Not sure what I'm doing wrong. 

Much appreciated

Comment 9 Julie Pichon 2016-11-28 12:25:53 UTC
Dan, thank you for these docs! They look great. I'm including a few minor things I noticed and questions/suggestions:

- 6.1, in the table where we explain tripleo_ui_config.js

"The UI automatically discovers the endpoints for the other services through this services, which means to only need to define this parameter. However, you can define custom URLs for the other endpoints if necessary."

Typos -> "through this service" (no s), "which means to only need" also looks strange to me. I wonder about adding an example as to why one may want to define custom URLs: "(for example when using tunnels in cases where the undercloud is not directly accessible.)"?

The code example below the table is wrong. The %(tenant_id)s must be set explicitly or new plan creation using a tarball will fail.

Also, we're explicitly telling people to use SSL so perhaps it would be good to use an example that shows the SSL ports instead? I'm including one here should that be helpful:

window.tripleOUiConfig = {
  "keystone": "https://192.0.2.2:13000/v2.0",
  "heat": "https://192.0.2.2:13004/v1/f30d815864be456dbc2a00f4e9200e9e",
  "ironic": "https://192.0.2.2:13385",
  "mistral": "https://192.0.2.2:13989/v2",
  "swift": "https://192.0.2.2:13808/v1/AUTH_f30d815864be456dbc2a00f4e9200e9e",
  "zaqar-websocket": "wss://192.0.2.2:9000",

  // Default websocket queue name
  "zaqar_default_queue": "tripleo"
};

- 6.2, in the Deployment Plan section

"workfllow" -> "workflow"

Wonder if if we should mention this page lets you set parameters, enable environments/features and generally configure your plan ahead of the overcloud deployment?

- 6.2, in the Validations section

The Validations are also run automatically depending on where in the process the user is at, perhaps that should be mentioned?

- 6.3, in the opening paragraph

Theoretically users shouldn't see this "No Deployment Plans" available as a default plan called 'overcloud' is automatically created when installing the undercloud. The paragraph might need to be tweaked a little accordingly?

- 6.3, "Create new plan"

Upload Type - I think "Local Folder" upload only works with Chrome (I just tried again with Firefox and it didn't work), perhaps this is worth mentioning?

- 6.5, Note about tagging

It'd be good to confirm with someone more familiar with node tagging from the UI, but I think the "alternative" note linked to at 5.3 does the same thing that we do at 6.7, so perhaps it would be good to mention that as well (to indicate that it can be done from the UI too)?

- 6.6 first paragraph

The paragraph ends with two dots instead of one.

As a potential addition/appendix, I wonder if we should include tunnelling tips for testing on virt envs/environments where the undercloud is not directly accessible...? If we think it will not be a common case in the real world though, then it's likely not necessary.

Comment 10 Dan Macpherson 2016-11-30 17:26:05 UTC
Thanks, Julie! Implemented all feedback except for the tunneling tips. I'll try and implement that as an appendix before GA if there's time, but if not I'll do a post GA update.

Comment 11 Dan Macpherson 2016-12-01 04:13:54 UTC
@Martin, this should be ready for peer review now.

Comment 14 Udi 2016-12-08 11:29:55 UTC
Verified based on the KBs.


Note You need to log in before you can comment on or make changes to this bug.